$ui-font-regular: 300;
$ui-font-medium: 500;
$ui-font-bold: 600;

$font-base: -apple-system, blinkmacsystemfont, "Josefin Sans", arial, helvetica, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
$font-accent: "Moon", $font-base, sans-serif;

$font-size-base: 1.8rem;
$font-size-small: 1.6rem;
$font-size-xsmall: 1.4rem;

@mixin font-base {
    font-family: $font-base;
    color: $text-color;
    font-size: $font-size-base;
    font-weight: $ui-font-regular;
}

@mixin font-small {
    font-size: $font-size-small;
    font-weight: $ui-font-regular;
}

@mixin font-small--muted {
    @include font-small;

    color: $text-color-muted;
}

@mixin font-small--bold {
    @include font-small;

    font-weight: $ui-font-bold;
}

@mixin font-small--italic {
    @include font-small;

    font-style: italic;
}

@mixin font-xsmall {
    font-size: $font-size-xsmall;
    font-weight: $ui-font-regular;
}

@mixin font-xsmall--muted {
    @include font-xsmall;

    color: $text-color-muted;
}

@mixin font-xsmall--bold {
    @include font-xsmall;

    font-weight: $ui-font-bold;
}

@mixin font-tiny {
    font-family: $font-accent;
    font-size: 1rem;
    font-weight: $ui-font-bold;
    text-transform: uppercase;
}

@font-face {
    font-family: 'Moon';
    src: url('../public/fonts/moon_bold-webfont.woff2') format('woff2'),
         url('../public/fonts/moon_bold-webfont.woff') format('woff');
    font-weight: 700;
    font-style: normal;
}

@font-face {
    font-family: 'Moon';
    src: url('../public/fonts/moon_light-webfont.woff2') format('woff2'),
         url('../public/fonts/moon_light-webfont.woff') format('woff');
    font-weight: 400;
    font-style: normal;
}